Skip to content

Retrieve an individual entity verification job

Request

Retrieves details about a specific individual entity verification job.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
individualEntityVerificationJobstringrequired

The individualEntityVerificationJob id.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/individualEntityVerificationJobs/{individualEntityVerificationJob}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
namestring(name)

(IDENTIFIER) Output only. The resource name of the job. Format: individualEntityVerificationJobs/{individual_entity_verification_job} correct_name_format // name must follow format 'individualEntityVerificationJobs/*'

providerConfigobject(provider_config)required

Required. The configuration for the provider to use to perform the verification.

enrichEntityboolean(enrich_entity)

(OPTIONAL) Optional. If true, entity will be enriched by verification response.

webhookUristring, (uri), <= 2048 characters(webhook_uri)

(OPTIONAL) Optional. Webhook target URI for notifications.

createTimestring, (date-time)(create_time)read-only

Output only. The timestamp when the job was created.

updateTimestring, (date-time)(update_time)read-only

Output only. The timestamp when the job was most recently updated.

Response
{ "name": "individualEntityVerificationJobs/verification-job-2024-0127-kycind-743891", "providerConfig": { "truuthVerificationConfig": {}, "connectIdVerificationConfig": {} }, "enrichEntity": true, "webhookUri": "https://api.example.com/webhooks/onboarding/individual/entity-job-status", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z" }